﻿using C1.WPF.C1Chart;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication35
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
        TextBlock tb1;
        TextBlock tb2;
        StackPanel sp;
        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            var pnl = new ChartPanel();

            var obj = new ChartPanelObject()
            {

                HorizontalAlignment = HorizontalAlignment.Right,

                VerticalAlignment = VerticalAlignment.Bottom,
                
                

            };

            var bdr = new Border()
            {

                Background = new SolidColorBrush(Colors.Green) { Opacity = 0.4 },

                BorderBrush = new SolidColorBrush(Colors.Green),

                BorderThickness = new Thickness(1, 1, 3, 3),

                CornerRadius = new CornerRadius(6, 6, 0, 6),

                Padding = new Thickness(3)

            };

             sp = new StackPanel();


            tb1 = new TextBlock();

            var bind1 = new Binding();

            bind1.Source = obj;

            bind1.StringFormat = "x={0:#.##}";

            bind1.Path = new PropertyPath("DataPoint.X");

            tb1.SetBinding(TextBlock.TextProperty, bind1);



             tb2 = new TextBlock();

            var bind2 = new Binding();

            bind2.Source = obj;

            bind2.StringFormat = "y={0:#.##}";

            bind2.Path = new PropertyPath("DataPoint.Y");

            tb2.SetBinding(TextBlock.TextProperty, bind2);



            sp.Children.Add(tb1);

            sp.Children.Add(tb2);



            bdr.Child = sp;



            obj.Content = bdr;

            obj.DataPoint = new Point();

            obj.Action = ChartPanelAction.MouseMove;



            pnl.Children.Add(obj);



            c1chart.View.Layers.Add(pnl);

            obj.Action = ChartPanelAction.MouseMove;
            obj.DataPointChanged += obj_DataPointChanged;
        }

        void obj_DataPointChanged(object sender, EventArgs e)
        {
            // update label in code from marker

            var obj = (ChartPanelObject)sender;
            if (obj != null)
            {
                tb1.Text = "x value:" + obj.DataPoint.X.ToString("#.##");
                tb2.Text ="y value:"+ obj.DataPoint.Y.ToString("c2");
                if (obj.DataPoint.Y > 10)
                {
                    tb1.Foreground = Brushes.Red;
                    tb2.Foreground = Brushes.Red;
                }
                else
                {
                    tb1.Foreground = Brushes.Black;
                    tb2.Foreground = Brushes.Black;
                }
            }

        }
    }
}
